Skip to main content
`Ctrl`+`K`

# NEPRIISetHermitian

Sets a flag to indicate if the Hermitian version of the scalar nonlinear equation must be used by the solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetHermitian(NEP nep,PetscBool herm)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- herm - `PETSC_TRUE` if the Hermitian version is preferred

## Options Database Key

- -nep_rii_hermitian - toggle the Hermitian version

## Notes

By default, the scalar nonlinear equation \(x^*T(\sigma)^{-1}T(z)x=0\) is solved at each step of the nonlinear iteration. When this flag is set the simpler form \(x^*T(z)x=0\) is used, which is supposed to be valid only for Hermitian problems.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPRII`, `NEPRIIGetHermitian()`

## Level

intermediate

## Location

src/nep/impls/rii/rii.c

## Implementations

NEPRIISetHermitian_RII() in src/nep/impls/rii/rii.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages